# include "Row.h"


//    
void Row::resize(int s,double fill)
{
    if (noe!=s)
    {
        noe=s;
        delete row;
        row=new double[noe];
    }
    for (int i=0;i<noe;i++)
     row[i]=fill;
}




//  
//    
// 
Row::Row(int n, double fill)
{
    row=new double[n];
    for (int i=0;i<n;i++)
     row[i]=fill;
}


// 
Row::Row(const Row &right)
{
    noe=right.noe;
    row=new double[noe];
    for (int i=0;i<noe;i++)
     row[i]=right.row[i];
}

Row::~Row()
{
    delete [] row;
}

//  
int Row:: getNoe()
{
    return noe;
}

//   
double& Row:: operator[](int numb)
{
    return row[numb];
}

//   
const double& Row:: operator[](int numb) const
{
    return row[numb];
}

//    
Row Row:: operator=(const Row &right)
{
    if (*this!=right)
    {
        if (noe != right.noe)
        {
            noe=right.noe;
            delete [] row;
            row=new double [noe];
        }

        for (int i=0;i<noe;i++)
         row[i]=right.row[i];
    }

    return *this;
}

//  
bool Row:: operator==(const Row &right)
{
    //    
    if (noe!=right.noe)
     return false;

    for (int i=0;i<noe;i++)
     if (row[i]!=right.row[i])
      return false;

    //     true
    return true;
}

//  
bool Row:: operator!=(const Row &right)
{
    return !(*this==right);
}
