#ifndef ROW_H
#define ROW_H

# include <iostream>
using std::ostream;
using std::istream;

class Row
{
friend ostream &operator<<(ostream, Row&);
friend istream &operator>>(istream, Row&);

public:
    Row(int=1,double=0);
    Row(const Row&);
    ~Row();
    int getNoe();
    void resize(int=1,double=0);
    double &operator[](int);
    const double &operator[](int) const;
    Row operator=(const Row&);
    bool operator==(const Row&);
    bool operator!=(const Row&);

private:
    double *row; //  
    int noe; //   (number of elements)
};

#endif
